esprit-2013-1a2-high-octane: chien.c File Reference

esprit-2013-1a2-high-octane version one finale

- Main Page
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables
Macros | Functions
chien.c File Reference

Définit le personnage chien ainsi que toutes les actions possibles. More...

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <allegro.h>`
`#include "background.h"`
`#include "chien.h"`
`#include "collision.h"`
`#include "jennyfer.h"`
Include dependency graph for chien.c:

## Macros

#define | GFX_W 642
#define | GFX_H 450

## Functions

void | load_chien (chien *chien)
void | destroy_chien (chien *chien)
void | init_chien (chien *chien)
void | move_chien_right (chien *chien, int *CO)
void | move_chien_left (chien *chien, int *CO)
void | verifdir (chien *chien)
void | move_chien (chien *chien, int *CO)
| cettte fonction fait appel a 2 fonction move_chien_left et move_chien_right
void | draw_chien (chien chien, BITMAP *Buffer, int CO)
| on utilise la fonction draw_sprite pour l'affichage des sprites

## Detailed Description

Définit le personnage chien ainsi que toutes les actions possibles.

Author
  fatma & omar <3

Version
  1.0

Date
  20 mai 2013

## Function Documentation

void destroy_chien | ( | chien * | chien | ) |

il ecrase ce qu'il y'a dans le Buffer

Parameters

  chien | Un pointeur sur la structure chien

Returns
  void

Here is the caller graph for this function:

void draw_chien | ( | chien | chien,
|  | BITMAP * | Buffer,
|  | int | CO
| ) |  |

on utilise la fonction draw_sprite pour l'affichage des sprites

elle permet l'affichage du perso selon sa direction et son mouvement

Parameters

  chien | de type chien , Buffer qui est la memoire ou se charge les images CO aide pour l'affichage et le passage d'une image a une autre il est de type int

Returns
  void

Here is the caller graph for this function:

void init_chien | ( | chien * | chien | ) |

Les champs direction et position(x,y) sont initialisés avant que le programme entre dans la boucle de jeu

Parameters

  chien | Un pointeur sur la structure chien

Returns
  void

Here is the caller graph for this function:

void load_chien | ( | chien * | chien | ) |

chargement des images

Parameters

  chien | Un pointeur sur la structure chien

Returns
  void

Here is the caller graph for this function:

void move_chien | ( | chien * | chien,
|  | int * | CO
| ) |  |

cettte fonction fait appel a 2 fonction move_chien_left et move_chien_right

elle permet au perso de se dèplacer vers la gauche et vers la droite d'un mouvement continue

Parameters

  chien | Un pointeur sur la structure chien CO son adresse aide pour le passage d'une image a une autre il est de type int

Returns
  void

Here is the call graph for this function:

Here is the caller graph for this function:

void move_chien_left | ( | chien * | chien,
|  | int * | CO
| ) |  |

elle permet au perso de se dèplacer vers la gauche

Parameters

  chien | Un pointeur sur la structure chien CO son adresse aide pour le passage d'une image a une autre il est de type int

Returns
  void

Here is the call graph for this function:

Here is the caller graph for this function:

void move_chien_right | ( | chien * | chien,
|  | int * | CO
| ) |  |

elle permet au perso de se dèplacer vers la droite

Parameters

  chien | Un pointeur sur la structure chien CO son adresse aide pour le passage d'une image a une autre il est de type int

Returns
  void

Here is the call graph for this function:

Here is the caller graph for this function:

void verifdir | ( | chien * | chien | ) |

verifie la direction

Parameters

  chien | Un pointeur sur la structure chien

Returns
  void

Here is the caller graph for this function: